package dev.shadowsoffire.apotheosis.village.fletching.arrows;

import net.minecraft.world.entity.Entity;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.ArrowRenderer;

public class ExplosiveArrowRenderer extends ArrowRenderer<ExplosiveArrowEntity>
{
    public static final ResourceLocation TEXTURES;
    
    public ExplosiveArrowRenderer(final EntityRendererProvider.Context renderManagerIn) {
        super(renderManagerIn);
    }
    
    public ResourceLocation getTextureLocation(final ExplosiveArrowEntity entity) {
        return ExplosiveArrowRenderer.TEXTURES;
    }
    
    static {
        TEXTURES = new ResourceLocation("apotheosis", "textures/entity/explosive_arrow.png");
    }
}
